<?php

namespace App\Modules\TypeProvider\Application\Find;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class FindTypeProviderQuery implements Query
{
    public function __construct(
        private int $id,
        private bool $avoidTransaction = false,
        private bool $lockInShare = false
    ) {}

    public function getId(): string
    {
        return $this->id;
    }

    public function avoidTransaction()
    {
        return $this->avoidTransaction;
    }

    public function lockInShare()
    {
        return $this->lockInShare;
    }
}
